// Transport equation and Conservation Law
// Second order methods

///////////////////// Computation of the error
L=5;
SpaceStep=[0.1, 0.05, 0.01, 0.005, 0.001, 0.0005];
for k=1:length(SpaceStep),
dx=SpaceStep(k);
space=(0:dx:L)';
//// Time discretization
T=1;
dt=0.95*dx;
time=0:dt:T;
    Nt=length(time);
Tsimu=dt*Nt;
//// Velocity of the transport equation -- a=1 
deff('[y]=a(x)','y=1');
//////// Initial datum 1
uinit=exp(-(space-2).^2/0.1);
//////// Exact solution
uexact=exp(-(space-2-Tsimu).^2/0.1);
//// Approximated solution
uMm=FluxLimiter(T,dt,L,dx,uinit,a,Minmod);
ErrorMm(k)=dx*norm(uMm-uexact,1);
end
//// Clear the figure
clf;
//// Graph of the errors
plot2d(SpaceStep,ErrorMm,logflag="ll",style=1);
plot2d(SpaceStep, SpaceStep.^2,logflag="ll",style=2);
//// Legend for the graph
legend('Minmod','order 2');
